## org.jfree.xml.attributehandlers
Class ShortAttributeHandler

    java.lang.Object
      org.jfree.xml.attributehandlers.ShortAttributeHandler

All Implemented Interfaces:
  AttributeHandler

    public class ShortAttributeHandler

extends java.lang.Object
implements AttributeHandler

A class that handles the conversion of `Short` attributes to and from an appropriate `String` representation.

Constructor Summary
`ShortAttributeHandler()` Creates a new attribute handler.

Method Summary
`java.lang.String` `toAttributeValue(java.lang.Object o)` Converts the attribute to a string.
`java.lang.Object` `toPropertyValue(java.lang.String s)` Converts a string to a `Short`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShortAttributeHandler

    public ShortAttributeHandler()

  Creates a new attribute handler.

Method Detail

### toAttributeValue

    public java.lang.String toAttributeValue(java.lang.Object o)

  Converts the attribute to a string.

  Specified by:
    `toAttributeValue` in interface `AttributeHandler`
  Parameters:
    `o` - the attribute (`Short` expected).
  Returns:
    A string representing the `Short` value.

### toPropertyValue

    public java.lang.Object toPropertyValue(java.lang.String s)

  Converts a string to a `Short`.

  Specified by:
    `toPropertyValue` in interface `AttributeHandler`
  Parameters:
    `s` - the string.
  Returns:
    a `Short`.